using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Haestad.WPFRibbonPrototype.WPF
{
    public class TestCommand : System.Windows.Input.ICommand
    {

        public TestCommand()
        {
        }

        public bool CanExecute(object parameter)
        {
            // Just to keep the compiler happy; I don't care about CanExecuteChanged.
            if (CanExecuteChanged == null || CanExecuteChanged != null)
                return true;

            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            TestForm testForm = new TestForm();
            testForm.ShowDialog();
        }
    }
}
